IP subnet calculator
Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.
Prefix/48
Addresses2^80
/64 networks65,536
- Network
3c19:c25f:c0fd::/48- First address
3c19:c25f:c0fd::- Last address
3c19:c25f:c0fd:ffff:ffff:ffff:ffff:ffff- Addresses
- 1,208,925,819,614,629,174,706,176 (2^80)
- /64 networks (LANs)
- 65,536
- Full form
3c19:c25f:c0fd:0000:0000:0000:0000:0000- Type
- Global unicast 2000::/3
Public internet addresses - Reverse DNS zone
d.f.0.c.f.5.2.c.9.1.c.3.ip6.arpa
Split into smaller subnets
3c19:c25f:c0fd::/48 makes 256 subnets of /56.
| # | Subnet | Last address |
|---|---|---|
| 1 | 3c19:c25f:c0fd::/56 | 3c19:c25f:c0fd:ff:ffff:ffff:ffff:ffff |
| 2 | 3c19:c25f:c0fd:100::/56 | 3c19:c25f:c0fd:1ff:ffff:ffff:ffff:ffff |
| 3 | 3c19:c25f:c0fd:200::/56 | 3c19:c25f:c0fd:2ff:ffff:ffff:ffff:ffff |
| 4 | 3c19:c25f:c0fd:300::/56 | 3c19:c25f:c0fd:3ff:ffff:ffff:ffff:ffff |
| 5 | 3c19:c25f:c0fd:400::/56 | 3c19:c25f:c0fd:4ff:ffff:ffff:ffff:ffff |
| 6 | 3c19:c25f:c0fd:500::/56 | 3c19:c25f:c0fd:5ff:ffff:ffff:ffff:ffff |
| 7 | 3c19:c25f:c0fd:600::/56 | 3c19:c25f:c0fd:6ff:ffff:ffff:ffff:ffff |
| 8 | 3c19:c25f:c0fd:700::/56 | 3c19:c25f:c0fd:7ff:ffff:ffff:ffff:ffff |
| 9 | 3c19:c25f:c0fd:800::/56 | 3c19:c25f:c0fd:8ff:ffff:ffff:ffff:ffff |
| 10 | 3c19:c25f:c0fd:900::/56 | 3c19:c25f:c0fd:9ff:ffff:ffff:ffff:ffff |
| 11 | 3c19:c25f:c0fd:a00::/56 | 3c19:c25f:c0fd:aff:ffff:ffff:ffff:ffff |
| 12 | 3c19:c25f:c0fd:b00::/56 | 3c19:c25f:c0fd:bff:ffff:ffff:ffff:ffff |
| 13 | 3c19:c25f:c0fd:c00::/56 | 3c19:c25f:c0fd:cff:ffff:ffff:ffff:ffff |
| 14 | 3c19:c25f:c0fd:d00::/56 | 3c19:c25f:c0fd:dff:ffff:ffff:ffff:ffff |
| 15 | 3c19:c25f:c0fd:e00::/56 | 3c19:c25f:c0fd:eff:ffff:ffff:ffff:ffff |
| 16 | 3c19:c25f:c0fd:f00::/56 | 3c19:c25f:c0fd:fff:ffff:ffff:ffff:ffff |
| 17 | 3c19:c25f:c0fd:1000::/56 | 3c19:c25f:c0fd:10ff:ffff:ffff:ffff:ffff |
| 18 | 3c19:c25f:c0fd:1100::/56 | 3c19:c25f:c0fd:11ff:ffff:ffff:ffff:ffff |
| 19 | 3c19:c25f:c0fd:1200::/56 | 3c19:c25f:c0fd:12ff:ffff:ffff:ffff:ffff |
| 20 | 3c19:c25f:c0fd:1300::/56 | 3c19:c25f:c0fd:13ff:ffff:ffff:ffff:ffff |
| 21 | 3c19:c25f:c0fd:1400::/56 | 3c19:c25f:c0fd:14ff:ffff:ffff:ffff:ffff |
| 22 | 3c19:c25f:c0fd:1500::/56 | 3c19:c25f:c0fd:15ff:ffff:ffff:ffff:ffff |
| 23 | 3c19:c25f:c0fd:1600::/56 | 3c19:c25f:c0fd:16ff:ffff:ffff:ffff:ffff |
| 24 | 3c19:c25f:c0fd:1700::/56 | 3c19:c25f:c0fd:17ff:ffff:ffff:ffff:ffff |
| 25 | 3c19:c25f:c0fd:1800::/56 | 3c19:c25f:c0fd:18ff:ffff:ffff:ffff:ffff |
| 26 | 3c19:c25f:c0fd:1900::/56 | 3c19:c25f:c0fd:19ff:ffff:ffff:ffff:ffff |
| 27 | 3c19:c25f:c0fd:1a00::/56 | 3c19:c25f:c0fd:1aff:ffff:ffff:ffff:ffff |
| 28 | 3c19:c25f:c0fd:1b00::/56 | 3c19:c25f:c0fd:1bff:ffff:ffff:ffff:ffff |
| 29 | 3c19:c25f:c0fd:1c00::/56 | 3c19:c25f:c0fd:1cff:ffff:ffff:ffff:ffff |
| 30 | 3c19:c25f:c0fd:1d00::/56 | 3c19:c25f:c0fd:1dff:ffff:ffff:ffff:ffff |
| 31 | 3c19:c25f:c0fd:1e00::/56 | 3c19:c25f:c0fd:1eff:ffff:ffff:ffff:ffff |
| 32 | 3c19:c25f:c0fd:1f00::/56 | 3c19:c25f:c0fd:1fff:ffff:ffff:ffff:ffff |
| 33 | 3c19:c25f:c0fd:2000::/56 | 3c19:c25f:c0fd:20ff:ffff:ffff:ffff:ffff |
| 34 | 3c19:c25f:c0fd:2100::/56 | 3c19:c25f:c0fd:21ff:ffff:ffff:ffff:ffff |
| 35 | 3c19:c25f:c0fd:2200::/56 | 3c19:c25f:c0fd:22ff:ffff:ffff:ffff:ffff |
| 36 | 3c19:c25f:c0fd:2300::/56 | 3c19:c25f:c0fd:23ff:ffff:ffff:ffff:ffff |
| 37 | 3c19:c25f:c0fd:2400::/56 | 3c19:c25f:c0fd:24ff:ffff:ffff:ffff:ffff |
| 38 | 3c19:c25f:c0fd:2500::/56 | 3c19:c25f:c0fd:25ff:ffff:ffff:ffff:ffff |
| 39 | 3c19:c25f:c0fd:2600::/56 | 3c19:c25f:c0fd:26ff:ffff:ffff:ffff:ffff |
| 40 | 3c19:c25f:c0fd:2700::/56 | 3c19:c25f:c0fd:27ff:ffff:ffff:ffff:ffff |
| 41 | 3c19:c25f:c0fd:2800::/56 | 3c19:c25f:c0fd:28ff:ffff:ffff:ffff:ffff |
| 42 | 3c19:c25f:c0fd:2900::/56 | 3c19:c25f:c0fd:29ff:ffff:ffff:ffff:ffff |
| 43 | 3c19:c25f:c0fd:2a00::/56 | 3c19:c25f:c0fd:2aff:ffff:ffff:ffff:ffff |
| 44 | 3c19:c25f:c0fd:2b00::/56 | 3c19:c25f:c0fd:2bff:ffff:ffff:ffff:ffff |
| 45 | 3c19:c25f:c0fd:2c00::/56 | 3c19:c25f:c0fd:2cff:ffff:ffff:ffff:ffff |
| 46 | 3c19:c25f:c0fd:2d00::/56 | 3c19:c25f:c0fd:2dff:ffff:ffff:ffff:ffff |
| 47 | 3c19:c25f:c0fd:2e00::/56 | 3c19:c25f:c0fd:2eff:ffff:ffff:ffff:ffff |
| 48 | 3c19:c25f:c0fd:2f00::/56 | 3c19:c25f:c0fd:2fff:ffff:ffff:ffff:ffff |
| 49 | 3c19:c25f:c0fd:3000::/56 | 3c19:c25f:c0fd:30ff:ffff:ffff:ffff:ffff |
| 50 | 3c19:c25f:c0fd:3100::/56 | 3c19:c25f:c0fd:31ff:ffff:ffff:ffff:ffff |
| 51 | 3c19:c25f:c0fd:3200::/56 | 3c19:c25f:c0fd:32ff:ffff:ffff:ffff:ffff |
| 52 | 3c19:c25f:c0fd:3300::/56 | 3c19:c25f:c0fd:33ff:ffff:ffff:ffff:ffff |
| 53 | 3c19:c25f:c0fd:3400::/56 | 3c19:c25f:c0fd:34ff:ffff:ffff:ffff:ffff |
| 54 | 3c19:c25f:c0fd:3500::/56 | 3c19:c25f:c0fd:35ff:ffff:ffff:ffff:ffff |
| 55 | 3c19:c25f:c0fd:3600::/56 | 3c19:c25f:c0fd:36ff:ffff:ffff:ffff:ffff |
| 56 | 3c19:c25f:c0fd:3700::/56 | 3c19:c25f:c0fd:37ff:ffff:ffff:ffff:ffff |
| 57 | 3c19:c25f:c0fd:3800::/56 | 3c19:c25f:c0fd:38ff:ffff:ffff:ffff:ffff |
| 58 | 3c19:c25f:c0fd:3900::/56 | 3c19:c25f:c0fd:39ff:ffff:ffff:ffff:ffff |
| 59 | 3c19:c25f:c0fd:3a00::/56 | 3c19:c25f:c0fd:3aff:ffff:ffff:ffff:ffff |
| 60 | 3c19:c25f:c0fd:3b00::/56 | 3c19:c25f:c0fd:3bff:ffff:ffff:ffff:ffff |
| 61 | 3c19:c25f:c0fd:3c00::/56 | 3c19:c25f:c0fd:3cff:ffff:ffff:ffff:ffff |
| 62 | 3c19:c25f:c0fd:3d00::/56 | 3c19:c25f:c0fd:3dff:ffff:ffff:ffff:ffff |
| 63 | 3c19:c25f:c0fd:3e00::/56 | 3c19:c25f:c0fd:3eff:ffff:ffff:ffff:ffff |
| 64 | 3c19:c25f:c0fd:3f00::/56 | 3c19:c25f:c0fd:3fff:ffff:ffff:ffff:ffff |
| 65 | 3c19:c25f:c0fd:4000::/56 | 3c19:c25f:c0fd:40ff:ffff:ffff:ffff:ffff |
| 66 | 3c19:c25f:c0fd:4100::/56 | 3c19:c25f:c0fd:41ff:ffff:ffff:ffff:ffff |
| 67 | 3c19:c25f:c0fd:4200::/56 | 3c19:c25f:c0fd:42ff:ffff:ffff:ffff:ffff |
| 68 | 3c19:c25f:c0fd:4300::/56 | 3c19:c25f:c0fd:43ff:ffff:ffff:ffff:ffff |
| 69 | 3c19:c25f:c0fd:4400::/56 | 3c19:c25f:c0fd:44ff:ffff:ffff:ffff:ffff |
| 70 | 3c19:c25f:c0fd:4500::/56 | 3c19:c25f:c0fd:45ff:ffff:ffff:ffff:ffff |
| 71 | 3c19:c25f:c0fd:4600::/56 | 3c19:c25f:c0fd:46ff:ffff:ffff:ffff:ffff |
| 72 | 3c19:c25f:c0fd:4700::/56 | 3c19:c25f:c0fd:47ff:ffff:ffff:ffff:ffff |
| 73 | 3c19:c25f:c0fd:4800::/56 | 3c19:c25f:c0fd:48ff:ffff:ffff:ffff:ffff |
| 74 | 3c19:c25f:c0fd:4900::/56 | 3c19:c25f:c0fd:49ff:ffff:ffff:ffff:ffff |
| 75 | 3c19:c25f:c0fd:4a00::/56 | 3c19:c25f:c0fd:4aff:ffff:ffff:ffff:ffff |
| 76 | 3c19:c25f:c0fd:4b00::/56 | 3c19:c25f:c0fd:4bff:ffff:ffff:ffff:ffff |
| 77 | 3c19:c25f:c0fd:4c00::/56 | 3c19:c25f:c0fd:4cff:ffff:ffff:ffff:ffff |
| 78 | 3c19:c25f:c0fd:4d00::/56 | 3c19:c25f:c0fd:4dff:ffff:ffff:ffff:ffff |
| 79 | 3c19:c25f:c0fd:4e00::/56 | 3c19:c25f:c0fd:4eff:ffff:ffff:ffff:ffff |
| 80 | 3c19:c25f:c0fd:4f00::/56 | 3c19:c25f:c0fd:4fff:ffff:ffff:ffff:ffff |
| 81 | 3c19:c25f:c0fd:5000::/56 | 3c19:c25f:c0fd:50ff:ffff:ffff:ffff:ffff |
| 82 | 3c19:c25f:c0fd:5100::/56 | 3c19:c25f:c0fd:51ff:ffff:ffff:ffff:ffff |
| 83 | 3c19:c25f:c0fd:5200::/56 | 3c19:c25f:c0fd:52ff:ffff:ffff:ffff:ffff |
| 84 | 3c19:c25f:c0fd:5300::/56 | 3c19:c25f:c0fd:53ff:ffff:ffff:ffff:ffff |
| 85 | 3c19:c25f:c0fd:5400::/56 | 3c19:c25f:c0fd:54ff:ffff:ffff:ffff:ffff |
| 86 | 3c19:c25f:c0fd:5500::/56 | 3c19:c25f:c0fd:55ff:ffff:ffff:ffff:ffff |
| 87 | 3c19:c25f:c0fd:5600::/56 | 3c19:c25f:c0fd:56ff:ffff:ffff:ffff:ffff |
| 88 | 3c19:c25f:c0fd:5700::/56 | 3c19:c25f:c0fd:57ff:ffff:ffff:ffff:ffff |
| 89 | 3c19:c25f:c0fd:5800::/56 | 3c19:c25f:c0fd:58ff:ffff:ffff:ffff:ffff |
| 90 | 3c19:c25f:c0fd:5900::/56 | 3c19:c25f:c0fd:59ff:ffff:ffff:ffff:ffff |
| 91 | 3c19:c25f:c0fd:5a00::/56 | 3c19:c25f:c0fd:5aff:ffff:ffff:ffff:ffff |
| 92 | 3c19:c25f:c0fd:5b00::/56 | 3c19:c25f:c0fd:5bff:ffff:ffff:ffff:ffff |
| 93 | 3c19:c25f:c0fd:5c00::/56 | 3c19:c25f:c0fd:5cff:ffff:ffff:ffff:ffff |
| 94 | 3c19:c25f:c0fd:5d00::/56 | 3c19:c25f:c0fd:5dff:ffff:ffff:ffff:ffff |
| 95 | 3c19:c25f:c0fd:5e00::/56 | 3c19:c25f:c0fd:5eff:ffff:ffff:ffff:ffff |
| 96 | 3c19:c25f:c0fd:5f00::/56 | 3c19:c25f:c0fd:5fff:ffff:ffff:ffff:ffff |
| 97 | 3c19:c25f:c0fd:6000::/56 | 3c19:c25f:c0fd:60ff:ffff:ffff:ffff:ffff |
| 98 | 3c19:c25f:c0fd:6100::/56 | 3c19:c25f:c0fd:61ff:ffff:ffff:ffff:ffff |
| 99 | 3c19:c25f:c0fd:6200::/56 | 3c19:c25f:c0fd:62ff:ffff:ffff:ffff:ffff |
| 100 | 3c19:c25f:c0fd:6300::/56 | 3c19:c25f:c0fd:63ff:ffff:ffff:ffff:ffff |
| 101 | 3c19:c25f:c0fd:6400::/56 | 3c19:c25f:c0fd:64ff:ffff:ffff:ffff:ffff |
| 102 | 3c19:c25f:c0fd:6500::/56 | 3c19:c25f:c0fd:65ff:ffff:ffff:ffff:ffff |
| 103 | 3c19:c25f:c0fd:6600::/56 | 3c19:c25f:c0fd:66ff:ffff:ffff:ffff:ffff |
| 104 | 3c19:c25f:c0fd:6700::/56 | 3c19:c25f:c0fd:67ff:ffff:ffff:ffff:ffff |
| 105 | 3c19:c25f:c0fd:6800::/56 | 3c19:c25f:c0fd:68ff:ffff:ffff:ffff:ffff |
| 106 | 3c19:c25f:c0fd:6900::/56 | 3c19:c25f:c0fd:69ff:ffff:ffff:ffff:ffff |
| 107 | 3c19:c25f:c0fd:6a00::/56 | 3c19:c25f:c0fd:6aff:ffff:ffff:ffff:ffff |
| 108 | 3c19:c25f:c0fd:6b00::/56 | 3c19:c25f:c0fd:6bff:ffff:ffff:ffff:ffff |
| 109 | 3c19:c25f:c0fd:6c00::/56 | 3c19:c25f:c0fd:6cff:ffff:ffff:ffff:ffff |
| 110 | 3c19:c25f:c0fd:6d00::/56 | 3c19:c25f:c0fd:6dff:ffff:ffff:ffff:ffff |
| 111 | 3c19:c25f:c0fd:6e00::/56 | 3c19:c25f:c0fd:6eff:ffff:ffff:ffff:ffff |
| 112 | 3c19:c25f:c0fd:6f00::/56 | 3c19:c25f:c0fd:6fff:ffff:ffff:ffff:ffff |
| 113 | 3c19:c25f:c0fd:7000::/56 | 3c19:c25f:c0fd:70ff:ffff:ffff:ffff:ffff |
| 114 | 3c19:c25f:c0fd:7100::/56 | 3c19:c25f:c0fd:71ff:ffff:ffff:ffff:ffff |
| 115 | 3c19:c25f:c0fd:7200::/56 | 3c19:c25f:c0fd:72ff:ffff:ffff:ffff:ffff |
| 116 | 3c19:c25f:c0fd:7300::/56 | 3c19:c25f:c0fd:73ff:ffff:ffff:ffff:ffff |
| 117 | 3c19:c25f:c0fd:7400::/56 | 3c19:c25f:c0fd:74ff:ffff:ffff:ffff:ffff |
| 118 | 3c19:c25f:c0fd:7500::/56 | 3c19:c25f:c0fd:75ff:ffff:ffff:ffff:ffff |
| 119 | 3c19:c25f:c0fd:7600::/56 | 3c19:c25f:c0fd:76ff:ffff:ffff:ffff:ffff |
| 120 | 3c19:c25f:c0fd:7700::/56 | 3c19:c25f:c0fd:77ff:ffff:ffff:ffff:ffff |
| 121 | 3c19:c25f:c0fd:7800::/56 | 3c19:c25f:c0fd:78ff:ffff:ffff:ffff:ffff |
| 122 | 3c19:c25f:c0fd:7900::/56 | 3c19:c25f:c0fd:79ff:ffff:ffff:ffff:ffff |
| 123 | 3c19:c25f:c0fd:7a00::/56 | 3c19:c25f:c0fd:7aff:ffff:ffff:ffff:ffff |
| 124 | 3c19:c25f:c0fd:7b00::/56 | 3c19:c25f:c0fd:7bff:ffff:ffff:ffff:ffff |
| 125 | 3c19:c25f:c0fd:7c00::/56 | 3c19:c25f:c0fd:7cff:ffff:ffff:ffff:ffff |
| 126 | 3c19:c25f:c0fd:7d00::/56 | 3c19:c25f:c0fd:7dff:ffff:ffff:ffff:ffff |
| 127 | 3c19:c25f:c0fd:7e00::/56 | 3c19:c25f:c0fd:7eff:ffff:ffff:ffff:ffff |
| 128 | 3c19:c25f:c0fd:7f00::/56 | 3c19:c25f:c0fd:7fff:ffff:ffff:ffff:ffff |
| 129 | 3c19:c25f:c0fd:8000::/56 | 3c19:c25f:c0fd:80ff:ffff:ffff:ffff:ffff |
| 130 | 3c19:c25f:c0fd:8100::/56 | 3c19:c25f:c0fd:81ff:ffff:ffff:ffff:ffff |
| 131 | 3c19:c25f:c0fd:8200::/56 | 3c19:c25f:c0fd:82ff:ffff:ffff:ffff:ffff |
| 132 | 3c19:c25f:c0fd:8300::/56 | 3c19:c25f:c0fd:83ff:ffff:ffff:ffff:ffff |
| 133 | 3c19:c25f:c0fd:8400::/56 | 3c19:c25f:c0fd:84ff:ffff:ffff:ffff:ffff |
| 134 | 3c19:c25f:c0fd:8500::/56 | 3c19:c25f:c0fd:85ff:ffff:ffff:ffff:ffff |
| 135 | 3c19:c25f:c0fd:8600::/56 | 3c19:c25f:c0fd:86ff:ffff:ffff:ffff:ffff |
| 136 | 3c19:c25f:c0fd:8700::/56 | 3c19:c25f:c0fd:87ff:ffff:ffff:ffff:ffff |
| 137 | 3c19:c25f:c0fd:8800::/56 | 3c19:c25f:c0fd:88ff:ffff:ffff:ffff:ffff |
| 138 | 3c19:c25f:c0fd:8900::/56 | 3c19:c25f:c0fd:89ff:ffff:ffff:ffff:ffff |
| 139 | 3c19:c25f:c0fd:8a00::/56 | 3c19:c25f:c0fd:8aff:ffff:ffff:ffff:ffff |
| 140 | 3c19:c25f:c0fd:8b00::/56 | 3c19:c25f:c0fd:8bff:ffff:ffff:ffff:ffff |
| 141 | 3c19:c25f:c0fd:8c00::/56 | 3c19:c25f:c0fd:8cff:ffff:ffff:ffff:ffff |
| 142 | 3c19:c25f:c0fd:8d00::/56 | 3c19:c25f:c0fd:8dff:ffff:ffff:ffff:ffff |
| 143 | 3c19:c25f:c0fd:8e00::/56 | 3c19:c25f:c0fd:8eff:ffff:ffff:ffff:ffff |
| 144 | 3c19:c25f:c0fd:8f00::/56 | 3c19:c25f:c0fd:8fff:ffff:ffff:ffff:ffff |
| 145 | 3c19:c25f:c0fd:9000::/56 | 3c19:c25f:c0fd:90ff:ffff:ffff:ffff:ffff |
| 146 | 3c19:c25f:c0fd:9100::/56 | 3c19:c25f:c0fd:91ff:ffff:ffff:ffff:ffff |
| 147 | 3c19:c25f:c0fd:9200::/56 | 3c19:c25f:c0fd:92ff:ffff:ffff:ffff:ffff |
| 148 | 3c19:c25f:c0fd:9300::/56 | 3c19:c25f:c0fd:93ff:ffff:ffff:ffff:ffff |
| 149 | 3c19:c25f:c0fd:9400::/56 | 3c19:c25f:c0fd:94ff:ffff:ffff:ffff:ffff |
| 150 | 3c19:c25f:c0fd:9500::/56 | 3c19:c25f:c0fd:95ff:ffff:ffff:ffff:ffff |
| 151 | 3c19:c25f:c0fd:9600::/56 | 3c19:c25f:c0fd:96ff:ffff:ffff:ffff:ffff |
| 152 | 3c19:c25f:c0fd:9700::/56 | 3c19:c25f:c0fd:97ff:ffff:ffff:ffff:ffff |
| 153 | 3c19:c25f:c0fd:9800::/56 | 3c19:c25f:c0fd:98ff:ffff:ffff:ffff:ffff |
| 154 | 3c19:c25f:c0fd:9900::/56 | 3c19:c25f:c0fd:99ff:ffff:ffff:ffff:ffff |
| 155 | 3c19:c25f:c0fd:9a00::/56 | 3c19:c25f:c0fd:9aff:ffff:ffff:ffff:ffff |
| 156 | 3c19:c25f:c0fd:9b00::/56 | 3c19:c25f:c0fd:9bff:ffff:ffff:ffff:ffff |
| 157 | 3c19:c25f:c0fd:9c00::/56 | 3c19:c25f:c0fd:9cff:ffff:ffff:ffff:ffff |
| 158 | 3c19:c25f:c0fd:9d00::/56 | 3c19:c25f:c0fd:9dff:ffff:ffff:ffff:ffff |
| 159 | 3c19:c25f:c0fd:9e00::/56 | 3c19:c25f:c0fd:9eff:ffff:ffff:ffff:ffff |
| 160 | 3c19:c25f:c0fd:9f00::/56 | 3c19:c25f:c0fd:9fff:ffff:ffff:ffff:ffff |
| 161 | 3c19:c25f:c0fd:a000::/56 | 3c19:c25f:c0fd:a0ff:ffff:ffff:ffff:ffff |
| 162 | 3c19:c25f:c0fd:a100::/56 | 3c19:c25f:c0fd:a1ff:ffff:ffff:ffff:ffff |
| 163 | 3c19:c25f:c0fd:a200::/56 | 3c19:c25f:c0fd:a2ff:ffff:ffff:ffff:ffff |
| 164 | 3c19:c25f:c0fd:a300::/56 | 3c19:c25f:c0fd:a3ff:ffff:ffff:ffff:ffff |
| 165 | 3c19:c25f:c0fd:a400::/56 | 3c19:c25f:c0fd:a4ff:ffff:ffff:ffff:ffff |
| 166 | 3c19:c25f:c0fd:a500::/56 | 3c19:c25f:c0fd:a5ff:ffff:ffff:ffff:ffff |
| 167 | 3c19:c25f:c0fd:a600::/56 | 3c19:c25f:c0fd:a6ff:ffff:ffff:ffff:ffff |
| 168 | 3c19:c25f:c0fd:a700::/56 | 3c19:c25f:c0fd:a7ff:ffff:ffff:ffff:ffff |
| 169 | 3c19:c25f:c0fd:a800::/56 | 3c19:c25f:c0fd:a8ff:ffff:ffff:ffff:ffff |
| 170 | 3c19:c25f:c0fd:a900::/56 | 3c19:c25f:c0fd:a9ff:ffff:ffff:ffff:ffff |
| 171 | 3c19:c25f:c0fd:aa00::/56 | 3c19:c25f:c0fd:aaff:ffff:ffff:ffff:ffff |
| 172 | 3c19:c25f:c0fd:ab00::/56 | 3c19:c25f:c0fd:abff:ffff:ffff:ffff:ffff |
| 173 | 3c19:c25f:c0fd:ac00::/56 | 3c19:c25f:c0fd:acff:ffff:ffff:ffff:ffff |
| 174 | 3c19:c25f:c0fd:ad00::/56 | 3c19:c25f:c0fd:adff:ffff:ffff:ffff:ffff |
| 175 | 3c19:c25f:c0fd:ae00::/56 | 3c19:c25f:c0fd:aeff:ffff:ffff:ffff:ffff |
| 176 | 3c19:c25f:c0fd:af00::/56 | 3c19:c25f:c0fd:afff:ffff:ffff:ffff:ffff |
| 177 | 3c19:c25f:c0fd:b000::/56 | 3c19:c25f:c0fd:b0ff:ffff:ffff:ffff:ffff |
| 178 | 3c19:c25f:c0fd:b100::/56 | 3c19:c25f:c0fd:b1ff:ffff:ffff:ffff:ffff |
| 179 | 3c19:c25f:c0fd:b200::/56 | 3c19:c25f:c0fd:b2ff:ffff:ffff:ffff:ffff |
| 180 | 3c19:c25f:c0fd:b300::/56 | 3c19:c25f:c0fd:b3ff:ffff:ffff:ffff:ffff |
| 181 | 3c19:c25f:c0fd:b400::/56 | 3c19:c25f:c0fd:b4ff:ffff:ffff:ffff:ffff |
| 182 | 3c19:c25f:c0fd:b500::/56 | 3c19:c25f:c0fd:b5ff:ffff:ffff:ffff:ffff |
| 183 | 3c19:c25f:c0fd:b600::/56 | 3c19:c25f:c0fd:b6ff:ffff:ffff:ffff:ffff |
| 184 | 3c19:c25f:c0fd:b700::/56 | 3c19:c25f:c0fd:b7ff:ffff:ffff:ffff:ffff |
| 185 | 3c19:c25f:c0fd:b800::/56 | 3c19:c25f:c0fd:b8ff:ffff:ffff:ffff:ffff |
| 186 | 3c19:c25f:c0fd:b900::/56 | 3c19:c25f:c0fd:b9ff:ffff:ffff:ffff:ffff |
| 187 | 3c19:c25f:c0fd:ba00::/56 | 3c19:c25f:c0fd:baff:ffff:ffff:ffff:ffff |
| 188 | 3c19:c25f:c0fd:bb00::/56 | 3c19:c25f:c0fd:bbff:ffff:ffff:ffff:ffff |
| 189 | 3c19:c25f:c0fd:bc00::/56 | 3c19:c25f:c0fd:bcff:ffff:ffff:ffff:ffff |
| 190 | 3c19:c25f:c0fd:bd00::/56 | 3c19:c25f:c0fd:bdff:ffff:ffff:ffff:ffff |
| 191 | 3c19:c25f:c0fd:be00::/56 | 3c19:c25f:c0fd:beff:ffff:ffff:ffff:ffff |
| 192 | 3c19:c25f:c0fd:bf00::/56 | 3c19:c25f:c0fd:bfff:ffff:ffff:ffff:ffff |
| 193 | 3c19:c25f:c0fd:c000::/56 | 3c19:c25f:c0fd:c0ff:ffff:ffff:ffff:ffff |
| 194 | 3c19:c25f:c0fd:c100::/56 | 3c19:c25f:c0fd:c1ff:ffff:ffff:ffff:ffff |
| 195 | 3c19:c25f:c0fd:c200::/56 | 3c19:c25f:c0fd:c2ff:ffff:ffff:ffff:ffff |
| 196 | 3c19:c25f:c0fd:c300::/56 | 3c19:c25f:c0fd:c3ff:ffff:ffff:ffff:ffff |
| 197 | 3c19:c25f:c0fd:c400::/56 | 3c19:c25f:c0fd:c4ff:ffff:ffff:ffff:ffff |
| 198 | 3c19:c25f:c0fd:c500::/56 | 3c19:c25f:c0fd:c5ff:ffff:ffff:ffff:ffff |
| 199 | 3c19:c25f:c0fd:c600::/56 | 3c19:c25f:c0fd:c6ff:ffff:ffff:ffff:ffff |
| 200 | 3c19:c25f:c0fd:c700::/56 | 3c19:c25f:c0fd:c7ff:ffff:ffff:ffff:ffff |
| 201 | 3c19:c25f:c0fd:c800::/56 | 3c19:c25f:c0fd:c8ff:ffff:ffff:ffff:ffff |
| 202 | 3c19:c25f:c0fd:c900::/56 | 3c19:c25f:c0fd:c9ff:ffff:ffff:ffff:ffff |
| 203 | 3c19:c25f:c0fd:ca00::/56 | 3c19:c25f:c0fd:caff:ffff:ffff:ffff:ffff |
| 204 | 3c19:c25f:c0fd:cb00::/56 | 3c19:c25f:c0fd:cbff:ffff:ffff:ffff:ffff |
| 205 | 3c19:c25f:c0fd:cc00::/56 | 3c19:c25f:c0fd:ccff:ffff:ffff:ffff:ffff |
| 206 | 3c19:c25f:c0fd:cd00::/56 | 3c19:c25f:c0fd:cdff:ffff:ffff:ffff:ffff |
| 207 | 3c19:c25f:c0fd:ce00::/56 | 3c19:c25f:c0fd:ceff:ffff:ffff:ffff:ffff |
| 208 | 3c19:c25f:c0fd:cf00::/56 | 3c19:c25f:c0fd:cfff:ffff:ffff:ffff:ffff |
| 209 | 3c19:c25f:c0fd:d000::/56 | 3c19:c25f:c0fd:d0ff:ffff:ffff:ffff:ffff |
| 210 | 3c19:c25f:c0fd:d100::/56 | 3c19:c25f:c0fd:d1ff:ffff:ffff:ffff:ffff |
| 211 | 3c19:c25f:c0fd:d200::/56 | 3c19:c25f:c0fd:d2ff:ffff:ffff:ffff:ffff |
| 212 | 3c19:c25f:c0fd:d300::/56 | 3c19:c25f:c0fd:d3ff:ffff:ffff:ffff:ffff |
| 213 | 3c19:c25f:c0fd:d400::/56 | 3c19:c25f:c0fd:d4ff:ffff:ffff:ffff:ffff |
| 214 | 3c19:c25f:c0fd:d500::/56 | 3c19:c25f:c0fd:d5ff:ffff:ffff:ffff:ffff |
| 215 | 3c19:c25f:c0fd:d600::/56 | 3c19:c25f:c0fd:d6ff:ffff:ffff:ffff:ffff |
| 216 | 3c19:c25f:c0fd:d700::/56 | 3c19:c25f:c0fd:d7ff:ffff:ffff:ffff:ffff |
| 217 | 3c19:c25f:c0fd:d800::/56 | 3c19:c25f:c0fd:d8ff:ffff:ffff:ffff:ffff |
| 218 | 3c19:c25f:c0fd:d900::/56 | 3c19:c25f:c0fd:d9ff:ffff:ffff:ffff:ffff |
| 219 | 3c19:c25f:c0fd:da00::/56 | 3c19:c25f:c0fd:daff:ffff:ffff:ffff:ffff |
| 220 | 3c19:c25f:c0fd:db00::/56 | 3c19:c25f:c0fd:dbff:ffff:ffff:ffff:ffff |
| 221 | 3c19:c25f:c0fd:dc00::/56 | 3c19:c25f:c0fd:dcff:ffff:ffff:ffff:ffff |
| 222 | 3c19:c25f:c0fd:dd00::/56 | 3c19:c25f:c0fd:ddff:ffff:ffff:ffff:ffff |
| 223 | 3c19:c25f:c0fd:de00::/56 | 3c19:c25f:c0fd:deff:ffff:ffff:ffff:ffff |
| 224 | 3c19:c25f:c0fd:df00::/56 | 3c19:c25f:c0fd:dfff:ffff:ffff:ffff:ffff |
| 225 | 3c19:c25f:c0fd:e000::/56 | 3c19:c25f:c0fd:e0ff:ffff:ffff:ffff:ffff |
| 226 | 3c19:c25f:c0fd:e100::/56 | 3c19:c25f:c0fd:e1ff:ffff:ffff:ffff:ffff |
| 227 | 3c19:c25f:c0fd:e200::/56 | 3c19:c25f:c0fd:e2ff:ffff:ffff:ffff:ffff |
| 228 | 3c19:c25f:c0fd:e300::/56 | 3c19:c25f:c0fd:e3ff:ffff:ffff:ffff:ffff |
| 229 | 3c19:c25f:c0fd:e400::/56 | 3c19:c25f:c0fd:e4ff:ffff:ffff:ffff:ffff |
| 230 | 3c19:c25f:c0fd:e500::/56 | 3c19:c25f:c0fd:e5ff:ffff:ffff:ffff:ffff |
| 231 | 3c19:c25f:c0fd:e600::/56 | 3c19:c25f:c0fd:e6ff:ffff:ffff:ffff:ffff |
| 232 | 3c19:c25f:c0fd:e700::/56 | 3c19:c25f:c0fd:e7ff:ffff:ffff:ffff:ffff |
| 233 | 3c19:c25f:c0fd:e800::/56 | 3c19:c25f:c0fd:e8ff:ffff:ffff:ffff:ffff |
| 234 | 3c19:c25f:c0fd:e900::/56 | 3c19:c25f:c0fd:e9ff:ffff:ffff:ffff:ffff |
| 235 | 3c19:c25f:c0fd:ea00::/56 | 3c19:c25f:c0fd:eaff:ffff:ffff:ffff:ffff |
| 236 | 3c19:c25f:c0fd:eb00::/56 | 3c19:c25f:c0fd:ebff:ffff:ffff:ffff:ffff |
| 237 | 3c19:c25f:c0fd:ec00::/56 | 3c19:c25f:c0fd:ecff:ffff:ffff:ffff:ffff |
| 238 | 3c19:c25f:c0fd:ed00::/56 | 3c19:c25f:c0fd:edff:ffff:ffff:ffff:ffff |
| 239 | 3c19:c25f:c0fd:ee00::/56 | 3c19:c25f:c0fd:eeff:ffff:ffff:ffff:ffff |
| 240 | 3c19:c25f:c0fd:ef00::/56 | 3c19:c25f:c0fd:efff:ffff:ffff:ffff:ffff |
| 241 | 3c19:c25f:c0fd:f000::/56 | 3c19:c25f:c0fd:f0ff:ffff:ffff:ffff:ffff |
| 242 | 3c19:c25f:c0fd:f100::/56 | 3c19:c25f:c0fd:f1ff:ffff:ffff:ffff:ffff |
| 243 | 3c19:c25f:c0fd:f200::/56 | 3c19:c25f:c0fd:f2ff:ffff:ffff:ffff:ffff |
| 244 | 3c19:c25f:c0fd:f300::/56 | 3c19:c25f:c0fd:f3ff:ffff:ffff:ffff:ffff |
| 245 | 3c19:c25f:c0fd:f400::/56 | 3c19:c25f:c0fd:f4ff:ffff:ffff:ffff:ffff |
| 246 | 3c19:c25f:c0fd:f500::/56 | 3c19:c25f:c0fd:f5ff:ffff:ffff:ffff:ffff |
| 247 | 3c19:c25f:c0fd:f600::/56 | 3c19:c25f:c0fd:f6ff:ffff:ffff:ffff:ffff |
| 248 | 3c19:c25f:c0fd:f700::/56 | 3c19:c25f:c0fd:f7ff:ffff:ffff:ffff:ffff |
| 249 | 3c19:c25f:c0fd:f800::/56 | 3c19:c25f:c0fd:f8ff:ffff:ffff:ffff:ffff |
| 250 | 3c19:c25f:c0fd:f900::/56 | 3c19:c25f:c0fd:f9ff:ffff:ffff:ffff:ffff |
| 251 | 3c19:c25f:c0fd:fa00::/56 | 3c19:c25f:c0fd:faff:ffff:ffff:ffff:ffff |
| 252 | 3c19:c25f:c0fd:fb00::/56 | 3c19:c25f:c0fd:fbff:ffff:ffff:ffff:ffff |
| 253 | 3c19:c25f:c0fd:fc00::/56 | 3c19:c25f:c0fd:fcff:ffff:ffff:ffff:ffff |
| 254 | 3c19:c25f:c0fd:fd00::/56 | 3c19:c25f:c0fd:fdff:ffff:ffff:ffff:ffff |
| 255 | 3c19:c25f:c0fd:fe00::/56 | 3c19:c25f:c0fd:feff:ffff:ffff:ffff:ffff |
| 256 | 3c19:c25f:c0fd:ff00::/56 | 3c19:c25f:c0fd:ffff:ffff:ffff:ffff:ffff |
IPv4 CIDR reference (/0 to /32)
| Prefix | Subnet mask | Wildcard | Addresses | Usable hosts | Size | Typical use |
|---|---|---|---|---|---|---|
| /0 | 0.0.0.0 | 255.255.255.255 | 4,294,967,296 | 4,294,967,294 | 16,777,216 × /24 | |
| /1 | 128.0.0.0 | 127.255.255.255 | 2,147,483,648 | 2,147,483,646 | 8,388,608 × /24 | |
| /2 | 192.0.0.0 | 63.255.255.255 | 1,073,741,824 | 1,073,741,822 | 4,194,304 × /24 | |
| /3 | 224.0.0.0 | 31.255.255.255 | 536,870,912 | 536,870,910 | 2,097,152 × /24 | |
| /4 | 240.0.0.0 | 15.255.255.255 | 268,435,456 | 268,435,454 | 1,048,576 × /24 | |
| /5 | 248.0.0.0 | 7.255.255.255 | 134,217,728 | 134,217,726 | 524,288 × /24 | |
| /6 | 252.0.0.0 | 3.255.255.255 | 67,108,864 | 67,108,862 | 262,144 × /24 | |
| /7 | 254.0.0.0 | 1.255.255.255 | 33,554,432 | 33,554,430 | 131,072 × /24 | |
| /8 | 255.0.0.0 | 0.255.255.255 | 16,777,216 | 16,777,214 | 65,536 × /24 | Old class A; 10.0.0.0/8 |
| /9 | 255.128.0.0 | 0.127.255.255 | 8,388,608 | 8,388,606 | 32,768 × /24 | |
| /10 | 255.192.0.0 | 0.63.255.255 | 4,194,304 | 4,194,302 | 16,384 × /24 | |
| /11 | 255.224.0.0 | 0.31.255.255 | 2,097,152 | 2,097,150 | 8,192 × /24 | |
| /12 | 255.240.0.0 | 0.15.255.255 | 1,048,576 | 1,048,574 | 4,096 × /24 | 172.16.0.0/12 |
| /13 | 255.248.0.0 | 0.7.255.255 | 524,288 | 524,286 | 2,048 × /24 | |
| /14 | 255.252.0.0 | 0.3.255.255 | 262,144 | 262,142 | 1,024 × /24 | |
| /15 | 255.254.0.0 | 0.1.255.255 | 131,072 | 131,070 | 512 × /24 | |
| /16 | 255.255.0.0 | 0.0.255.255 | 65,536 | 65,534 | 256 × /24 | Old class B; 192.168.0.0/16 |
| /17 | 255.255.128.0 | 0.0.127.255 | 32,768 | 32,766 | 128 × /24 | |
| /18 | 255.255.192.0 | 0.0.63.255 | 16,384 | 16,382 | 64 × /24 | |
| /19 | 255.255.224.0 | 0.0.31.255 | 8,192 | 8,190 | 32 × /24 | |
| /20 | 255.255.240.0 | 0.0.15.255 | 4,096 | 4,094 | 16 × /24 | |
| /21 | 255.255.248.0 | 0.0.7.255 | 2,048 | 2,046 | 8 × /24 | |
| /22 | 255.255.252.0 | 0.0.3.255 | 1,024 | 1,022 | 4 × /24 | Large office or guest Wi-Fi (1,022 hosts) |
| /23 | 255.255.254.0 | 0.0.1.255 | 512 | 510 | 2 × /24 | Larger office LAN (510 hosts) |
| /24 | 255.255.255.0 | 0.0.0.255 | 256 | 254 | 1 × /24 | Typical office LAN (old class C) |
| /25 | 255.255.255.128 | 0.0.0.127 | 128 | 126 | 1/2 of a /24 | Smaller LAN or VLAN |
| /26 | 255.255.255.192 | 0.0.0.63 | 64 | 62 | 1/4 of a /24 | Smaller LAN or VLAN |
| /27 | 255.255.255.224 | 0.0.0.31 | 32 | 30 | 1/8 of a /24 | Small VLAN, phones, cameras |
| /28 | 255.255.255.240 | 0.0.0.15 | 16 | 14 | 1/16 of a /24 | Small VLAN, phones, cameras |
| /29 | 255.255.255.248 | 0.0.0.7 | 8 | 6 | 1/32 of a /24 | Small fixed public block (5 usable) |
| /30 | 255.255.255.252 | 0.0.0.3 | 4 | 2 | 1/64 of a /24 | Point-to-point (old style) |
| /31 | 255.255.255.254 | 0.0.0.1 | 2 | 2 | 1/128 of a /24 | Point-to-point link (RFC 3021) |
| /32 | 255.255.255.255 | 0.0.0.0 | 1 | 1 | 1/256 of a /24 | One host |
IPv6 prefix reference
| Prefix | Addresses | /64 LANs | /48 sites | Nibble | Typical use |
|---|---|---|---|---|---|
| /3 | 42,535,295,865,117,307,932,921,825,928,971,026,432 (2^125) | 2,305,843,009,213,693,952 | 35,184,372,088,832 | No | All global unicast (2000::/3) |
| /16 | 5,192,296,858,534,827,628,530,496,329,220,096 (2^112) | 281,474,976,710,656 | 4,294,967,296 | Yes | |
| /20 | 324,518,553,658,426,726,783,156,020,576,256 (2^108) | 17,592,186,044,416 | 268,435,456 | Yes | Large provider allocation (RIPE minimum for some) |
| /29 | 633,825,300,114,114,700,748,351,602,688 (2^99) | 34,359,738,368 | 524,288 | No | RIPE allocation to a provider (often) |
| /32 | 79,228,162,514,264,337,593,543,950,336 (2^96) | 4,294,967,296 | 65,536 | Yes | Provider allocation (RIPE default) |
| /36 | 4,951,760,157,141,521,099,596,496,896 (2^92) | 268,435,456 | 4,096 | Yes | |
| /40 | 309,485,009,821,345,068,724,781,056 (2^88) | 16,777,216 | 256 | Yes | |
| /44 | 19,342,813,113,834,066,795,298,816 (2^84) | 1,048,576 | 16 | Yes | |
| /48 | 1,208,925,819,614,629,174,706,176 (2^80) | 65,536 | 1 | Yes | One site or organisation (RIPE PI / assignment) |
| /52 | 75,557,863,725,914,323,419,136 (2^76) | 4,096 | Yes | ||
| /56 | 4,722,366,482,869,645,213,696 (2^72) | 256 | Yes | Small site or home (common provider assignment) | |
| /60 | 295,147,905,179,352,825,856 (2^68) | 16 | Yes | Some home broadband (16 LANs) | |
| /64 | 18,446,744,073,709,551,616 (2^64) | 1 | Yes | One LAN or VLAN (needed for SLAAC) | |
| /72 | 72,057,594,037,927,936 (2^56) | 1/256 of a /64 | Yes | ||
| /80 | 281,474,976,710,656 (2^48) | 1/65,536 of a /64 | Yes | ||
| /96 | 4,294,967,296 | 1/4,294,967,296 of a /64 | Yes | Embeds an IPv4 address (NAT64) | |
| /112 | 65,536 | 1/281,474,976,710,656 of a /64 | Yes | ||
| /120 | 256 | 1/72,057,594,037,927,936 of a /64 | Yes | ||
| /124 | 16 | 1/1,152,921,504,606,846,976 of a /64 | Yes | ||
| /126 | 4 | 1/4,611,686,018,427,387,904 of a /64 | No | ||
| /127 | 2 | 1/9,223,372,036,854,775,808 of a /64 | No | Point-to-point link (RFC 6164) | |
| /128 | 1 | 1/18,446,744,073,709,551,616 of a /64 | Yes | One host or loopback |
Private and special ranges
IPv4
| Range | Name | What it is |
|---|---|---|
255.255.255.255/32 | Limited broadcast | Every host on the local network |
0.0.0.0/8 | This network | Not routed; 0.0.0.0 means "any address" in settings |
10.0.0.0/8 | Private (RFC 1918) | Office and home networks; not routed on the internet |
100.64.0.0/10 | Shared address space (CGNAT) | Used by providers behind carrier-grade NAT (RFC 6598) |
127.0.0.0/8 | Loopback | This computer |
169.254.0.0/16 | Link-local (APIPA) | Self-assigned when no DHCP server answers |
172.16.0.0/12 | Private (RFC 1918) | Office and home networks; not routed on the internet |
192.0.0.0/24 | IETF protocol assignments | Special uses such as DS-Lite |
192.0.2.0/24 | Documentation (TEST-NET-1) | For examples; never used on a network |
192.88.99.0/24 | 6to4 relay (deprecated) | Formerly anycast for 6to4 |
192.168.0.0/16 | Private (RFC 1918) | Office and home networks; not routed on the internet |
198.18.0.0/15 | Benchmarking | Network equipment testing (RFC 2544) |
198.51.100.0/24 | Documentation (TEST-NET-2) | For examples; never used on a network |
203.0.113.0/24 | Documentation (TEST-NET-3) | For examples; never used on a network |
224.0.0.0/4 | Multicast | One-to-many traffic, such as IPTV and routing protocols |
240.0.0.0/4 | Reserved | Future use; not usable on most systems |
IPv6
| Range | Name | What it is |
|---|---|---|
::/128 | Unspecified | No address; :: means "any address" in settings |
::1/128 | Loopback | This computer |
::ffff:0:0/96 | IPv4-mapped | An IPv4 address written as IPv6 |
64:ff9b::/96 | NAT64 | IPv4 addresses reached through a NAT64 gateway |
100::/64 | Discard only | Traffic sent here is dropped (RFC 6666) |
2001:db8::/32 | Documentation | For examples; never used on a network |
2001::/32 | Teredo | IPv6 tunnelled over IPv4 UDP |
2002::/16 | 6to4 | IPv6 tunnelled over IPv4 (largely retired) |
3fff::/20 | Documentation | For examples (RFC 9637) |
fc00::/7 | Unique local (ULA) | Private IPv6, like RFC 1918; usually fd00::/8 |
fe80::/10 | Link-local | Every IPv6 interface has one; not routed |
ff00::/8 | Multicast | One-to-many traffic; replaces broadcast |
2000::/3 | Global unicast | Public internet addresses |